---
name: 🐛 Bug Report
about: Report a bug to help improve intensity-normalization
title: "[BUG] "
labels: ["bug", "triage"]
assignees: ""
---

## 🐛 Bug Description

<!-- A clear and concise description of what the bug is. -->

## To Reproduce

Steps to reproduce the behavior:

```python
# Minimal code example that reproduces the issue
import intensity_normalization as inorm

# Your code here
```

## Expected behavior

<!-- What you expected to happen -->

## Actual behavior

<!-- What actually happened. Include the full error message/traceback if applicable -->

```
# Error message/traceback here
```

## Environment

- intensity-normalization version: <!-- e.g., 0.3.0 -->
- Python version: <!-- e.g., 3.12.0 -->
- Operating System: <!-- e.g., Ubuntu 22.04, macOS 14, Windows 11 -->
- Installation method: <!-- pip, uv, conda, source -->

<details>
<summary>Dependencies</summary>

```
# Output of: uv pip list | grep -E "(numpy|nibabel|scikit|scipy)"
```

</details>

## Additional context

<!-- Add any other context, screenshots, or examples about the problem here -->
